Subject: [Fwd: When non TCP/IP literate people design cable modem systems]

From: Cannara <[email-masked]>
Date: Sun, 27 Jun 1999 12:04:48 -0700

FYI, from end-to-end discussions...

Subject: Re: When non TCP/IP literate people design cable modem systems
From: [email-masked]
To: [email-masked]
Date: Thu, 24 Jun 1999 18:36:10 -0400

    >> Sean Doran <[email-masked]>
    >> What you want to avoid is a point-to-point link that has the
    >> data transmission bandwidth oscillate wildly, when that link
    >> is a bottleneck being probed by TCP bulk senders.
 
We have observed that in at least some circumstances "wild" oscillations
still work out ok due to the relatively long retransmission timeout of
most TCP implementations.  That is, the error rate can vary wildly
as long as things appear smooth with a window of several seconds.
Some results of a link-layer retransmission implementation (NetBSD)
that is snoop-free, does transparent fragmentation and reassembly
to enable packet-length adaptation, and does adaptive FEC coding
are available at < http://www.cs.cmu.edu/~davide/icnp98.ps >.

Dave Eckhardt